#!/bin/bash

# Title         : 3G/run.sh
# Description   : Prepares and executes xgoldscanner
# Author        : Linus Neumann, The SRLabs Team
# Usage         : 3G/run.sh
# Notes         : This script is part of the GSMmap live distribution

clear
scriptDirectory="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
less $scriptDirectory/instructions
clear
echo "Please enter your phone number including the country code, e.g., 004917101234568"
read pre_number
pre_number_clean=`echo $pre_number | sed -e 's/+/00/g' | sed -e 's/[^0-9]*//g' | sed -e 's/ //g'`
sudo $scriptDirectory/xgoldscanner.sh -s -n $pre_number_clean -g
